<div class="page">
  <div class="page-header home-header">
    <div class="title home-title">
      Dashboard
    </div>
    <div class="actions">
      <ion-chip outline="true" color="white" [ngClass]="{'selected':  carfilter == true}" (click)="carfilterShow()">
        <ion-icon name="funnel"></ion-icon>
        <ion-label>Car</ion-label>
      </ion-chip>
      <ion-chip outline="true" color="white" [ngClass]="{'selected':  datefilter == true}" class="day_chip"
        (click)="datefilterShow()">
        <ion-icon name="calendar-outline"></ion-icon>
        <ion-label>Date</ion-label>
      </ion-chip>
    </div>
  </div>
  <bc-car-filter [customerId]="8" (onCarSelected)="filterCar($event)" (onFilterCleared)="onCarFilterCleared()"
    [hidden]="!carfilter == true">
  </bc-car-filter>
  <bc-date-filter (onDateSelected)="filterDate($event)" (onFilterCleared)="onDateFilterCleared()"
    [hidden]="!datefilter == true">
  </bc-date-filter>
</div>
<ion-content class="page-content">
  <div class="page-content inner" >
    <div style="padding-left: 5%;padding-right: 5%;" *ngIf="todayWashes.length > 0 || pastWashes.length > 0">
        <h2 *ngIf="todayWashes.length > 0">Today's Washes</h2>
          <ion-row *ngFor='let wash of todayWashes'>
            <ion-col size='4' style="margin-left: 10px;">
              <img src="/assets/images/car_icon.svg" alt="" srcset="" height="78%">
            </ion-col>
            <ion-col size='6' style="margin-left: -20px;">
              <p style="font-size: 20px;">{{wash.registration_no}}</p>
              <p style="margin-top:-12px;font-size: 15px;">Parking lot:{{wash.parking_no}}</p>
              <p style="margin-top: -11px;">
                <ion-icon name="today-outline"></ion-icon>
                {{wash.date | date:'shortDate'}}
              </p>
            </ion-col>
            <ion-col *ngIf="(wash.status==0)">
              <ion-icon name="checkmark-circle" [style.color]="'#28F714'" style="font-size: 60px;"></ion-icon>
            </ion-col>
            <hr class="divider">
            <!-- <hr style="border-width: 1px;width: 100%;margin-top: -10px;"> -->
          </ion-row>
        <div>
          <h2 *ngIf="pastWashes.length > 0">Past Washes</h2>
          <ion-row *ngFor='let wash of pastWashes'>
            <ion-col size='4' style="margin-left: 10px;">
              <img src="/assets/images/car_icon.svg" alt="" srcset="" height="78%">
            </ion-col>
            <ion-col size='6' style="margin-left: -20px;">
              <p style="font-size: 20px;">{{wash.registration_no}}</p>
              <p style="margin-top:-12px;font-size: 15px;">Parking lot:{{wash.parking_no}}</p>
              <p style="margin-top: -11px;">
                <ion-icon name="today-outline"></ion-icon>
                {{wash.date | date:'shortDate'}}
              </p>
            </ion-col>
            <ion-col *ngIf="(wash.status==0)">
              <ion-icon name="checkmark-circle" [style.color]="'#28F714'" style="font-size: 15vw;"></ion-icon>
            </ion-col>
            
            <hr class="divider">
          </ion-row>
        </div>


    </div>
    <div class="no-data-container" *ngIf="todayWashes.length <= 0 && pastWashes.length <= 0">
      <div>No Washes found..!</div>
    </div>

  </div>
  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more data..." >
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>